Subject: Re: grep search by ASCII code unsuccessful

From: Shivanshu Goyal <[email-masked]>
Date: Mon, 23 Nov 2015 05:31:26 +0000

Correction:

The following is the grep 2.16/2.22 command and output:
(It doesn't output anything)

shivanshu@thetis:tmp$ cat temp | grep -P '\xe2\x80\x93'
shivanshu@thetis:tmp$

On Sun, Nov 22, 2015 at 9:24 PM Shivanshu Goyal <[email-masked]>
wrote:

> Hi,
>
> I think I found a bug which did not exist in version 2.14, but does seem
> to exist in versions 2.16 and 2.22. I have not tested any other versions.
>
> Say there is a file with the following contents:
>
> shivanshu@thetis:tmp$ cat temp | xxd
> 0000000: 68e2 8093 680a                           h...h.
>
> The following is the grep 2.14 command and output:
>
> shivanshu@thetis:tmp$ cat temp | grep -P '\xe2\x80\x93'
> h–h
>
> The following is the grep 2.16/2.22 command and output:
>
> shivanshu@thetis:tmp$ cat temp | grep -P '\xe2\x80\x93'
> d1y8@thetis:tmp$
>
> Thanks,
> Shivanshu Goyal
> shivanshu.ca
>